PostgreSQL 7.2.1 Documentation
Prev |  | Next

# get

## Name

get -- get a tuple from a database table

## Synopsis

    get(table, arg, [keyname])

### Parameters

`table`

  Name of table.

`arg`

  Either a dictionary or the value to be looked up.

[`keyname`]

  Name of field to use as key (optional).

### Return Type

dictionary

  A dictionary mapping attribute names to row values.

## Description

This method is the basic mechanism to get a single row. It assumes that the key specifies a unique row. If keyname is not specified then the primary key for the table is used. If arg is a dictionary then the value for the key is taken from it and it is modified to include the new values, replacing existing values where necessary. The oid is also put into the dictionary but in order to allow the caller to work with multiple tables, the attribute name is munged to make it unique. It consists of the string `oid_` followed by the name of the table.

Prev | Home | Next
get_attnames | Up | insert